/**
 * Interface for the Configuration object
 */
interface IFetchReadmeConfig {
    username: string;
    repository: string;
    branch?: string;
    readme?: string;
}
/**
 * Main entry point, it validates the configuration object
 * and then proceeds to call the next steps.
 *
 * Returns the readme raw file from the server, if resolved
 * successfully.
 *
 * @param {object} config The fetch-readme configuration object.
 */
declare const fetchReadme: (config: IFetchReadmeConfig) => Promise<any>;
export { fetchReadme };
